Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class NotificationControler

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.NotificationControler

public class NotificationControler
extends java.lang.Object

NotificationControler
Classe permettant d'accéder à la base de données via un CRON pour les notifications
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`NotificationControler()`

Method Summary
`void` | `close()` Ferme la connexion courante
`java.util.List` | `getFolderPath(java.lang.String id)` Retourne la liste des dossiers jusqu'à la racine (chemin)
`java.util.List` | `getGrants(java.lang.String id)` Retourne la liste des droits d'un dossier
`java.util.List` | `getIntranets()` Récupère tous les intranets
`java.util.List` | `getInvalidDocuments(java.lang.String intranet)` Retourne la liste des documents en attente de validation

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationControler

    public NotificationControler()

Method Detail

### close

    public void close()

  Ferme la connexion courante

### getIntranets

    public java.util.List getIntranets()
                                throws DataException

  Récupère tous les intranets

  Returns:
    intranets La liste des intranets
  Throws:
    `DataException`

### getInvalidDocuments

    public java.util.List getInvalidDocuments(java.lang.String intranet)
                                       throws DataException

  Retourne la liste des documents en attente de validation

  Parameters:
    `intranet` - L'identifiant de l'intranet
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getGrants

    public java.util.List getGrants(java.lang.String id)
                             throws DataException

  Retourne la liste des droits d'un dossier

  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    grants La liste des droits
  Throws:
    `DataException`

### getFolderPath

    public java.util.List getFolderPath(java.lang.String id)
                                 throws DataException

  Retourne la liste des dossiers jusqu'à la racine (chemin)

  Parameters:
    `id` - L'identifiant du dossier à partir duquel on construit le chemin
  Returns:
    path La liste chaînée indiquant le chemin jusqu'à la racine
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD